## shunit2 2.1.5

=== Makefile ===
# $Id: Makefile 175 2008-07-04 12:47:58Z kate.ward@forestent.com $
#
# Copyright 2008 Kate Ward. All Rights Reserved.
# Released under the LGPL (GNU Lesser General Public License)
#
# Author: kate.ward@forestent.com (Kate Ward)
#
# Build file to wrap common steps (e.g. building documentation).

PROG=shunit2

BIN_DIR=$(PWD)/bin
BUILD_DIR=$(PWD)/build
DIST_DIR=$(PWD)/dist
LIB_DIR=$(PWD)/lib
SHARE_DIR=$(PWD)/share
SRC_DIR=$(PWD)/src
TMP_DIR=$(PWD)/tmp

DOCBOOK_BUILD_DIR=$(BUILD_DIR)/docbook
DOCBOOK_SHARE_DIR=$(SHARE_DIR)/docbook

DOCBOOK_SRC_DIR=$(SRC_DIR)/docbook
EXAMPLES_SRC_DIR=$(SRC_DIR)/examples
SHELL_SRC_DIR=$(SRC_DIR)/shell
TEST_SRC_DIR=$(SHELL_SRC_DIR)

HTML_XSL=$(SHARE_DIR)/docbook/tldp-xsl/21MAR2004/html/tldp-one-page.xsl

all: build docs

build: build-prep
	cp -p $(SHELL_SRC_DIR)/$(PROG) $(BUILD_DIR)

build-clean:
	rm -fr $(BUILD_DIR)

build-prep:
	@mkdir -p $(BUILD_DIR)

docs: docs-transform-shelldoc docs-transform-docbook

docs-prep:
	@mkdir -p $(DOCBOOK_BUILD_DIR)
	@echo "Preparing documentation for parsing"
	@isoDate=`date "+%Y-%m-%d"`; \
	find $(DOCBOOK_SRC_DIR) -name "*.xml" |\
	while read f; do \
	  bn=`basename $$f`; \
	  sed -e "s/@@ISO_DATE@@/$$isoDate/g" $$f >$(DOCBOOK_BUILD_DIR)/$$bn; \
	done

docs-extract-shelldoc: docs-prep
	@echo "Extracting the ShellDoc"
	@$(BIN_DIR)/extractDocs.pl $(SHELL_SRC_DIR)/$(PROG) >$(BUILD_DIR)/$(PROG)_shelldoc.xml

docs-transform-shelldoc: docs-prep docs-extract-shelldoc
	@echo "Parsing the extracted ShellDoc"
	@xsltproc $(SHARE_DIR)/resources/shelldoc.xslt $(BUILD_DIR)/$(PROG)_shelldoc.xml >$(DOCBOOK_BUILD_DIR)/functions.xml

docs-transform-docbook: docs-docbook-prep docs-prep
	@echo "Parsing the documentation with DocBook"
	@xsltproc $(HTML_XSL) $(DOCBOOK_BUILD_DIR)/$(PROG).xml >$(BUILD_DIR)/$(PROG).html

docs-docbook-prep:
	@if [ ! -d "$(DOCBOOK_SHARE_DIR)/docbook-xml" \
	  -o ! -d "$(DOCBOOK_SHARE_DIR)/docbook-xsl" ]; \
	then \
	  echo "Preparing DocBook structure"; \
	  $(BIN_DIR)/docbookPrep.sh "$(DOCBOOK_SHARE_DIR)"; \
	fi

test: @echo "executing $(PROG) unit tests"
	( cd $(TEST_SRC_DIR); ./shunit2_test.sh )

dist: dist-clean build docs
	@mkdir $(DIST_DIR)
	cp -p $(BUILD_DIR)/$(PROG) $(DIST_DIR)
	cp -p $(BUILD_DIR)/$(PROG).html $(DIST_DIR)

clean: build-clean test-clean
	rm -fr $(TMP_DIR)

dist-clean: clean
	rm -fr $(DIST_DIR)

## shunit2 2.1.6

=== debian/changelog ===
shunit2 (2.1.6-1.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 29 Dec 2020 01:13:45 +0100

shunit2 (2.1.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch Build-Depends from pdksh to mksh.  (Closes: #792110)
  * Drop obsolete DMUA flag.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 12 Sep 2015 23:03:56 +0200

shunit2 (2.1.6-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.
  * Replace shunit2 wrapper with upstream script. (Closes: #601956)
  * Add DM-Upload-Allowed to source package.

 -- Ulrich Dangel <mru@spamt.net>  Sun, 25 Mar 2012 12:09:23 +0200

shunit2 (2.1.5-3) unstable; urgency=low

  * Support zsh in shunit2 wrapper.

 -- Ulrich Dangel <mru@spamt.net>  Sun, 01 Aug 2010 02:04:26 +0200

shunit2 (2.1.5-2) unstable; urgency=low

  * Install a wrapper for shunit2 in /usr/bin
  * Include shunit2 examples. (Closes: #588629)
  * Updated copyright.

 -- Ulrich Dangel <mru@spamt.net>  Thu, 29 Jul 2010 23:12:44 +0200

shunit2 (2.1.5-1) unstable; urgency=low

  * Overtook package, changed Maintainer field.
  * Do not use upstream make file as upstream already deleted it.
  * Updated watch file.
  * Initial release. (Closes: #559388)

 -- Ulrich Dangel <mru@spamt.net>  Fri, 04 Dec 2009 00:05:33 +0100

shunit2 (2.1.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Use CURDIR instead of PWD in top level Makefile. (Closes: #472111)
  * Set Architecture: all. (Closes: #473749)

 -- Christoph Berg <myon@debian.org>  Tue, 01 Apr 2008 14:20:07 +0200

shunit2 (2.1.2-1) unstable; urgency=low

  * Initial release (Closes: #456140)

 -- Cai Qian <caiqian@debian.org>  Sat, 09 Feb 2008 02:42:04 -0500

=== debian/control ===
Source: shunit2
Section: devel
Priority: optional
Maintainer: Ulrich Dangel <mru@spamt.net>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: asciidoc, docbook-xsl, mksh, xsltproc, zsh
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/shunit2/

Package: shunit2
Architecture: all
Depends: ${misc:Depends}
Description: unit test framework for Bourne based shell scripts
 shUnit2 was originally developed to provide a consistent testing
 solution for log4sh, a shell based logging framework similar to
 log4j. It is designed to work in a similar manner to JUnit, PyUnit,
 etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

%:
	dh $@

override_dh_auto_build-indep:
	cp -r examples examples.debian
	a2x -a revnumber=$(UPSTREAM_VERSION) -L -fmanpage debian/shunit2.1.txt
	find examples.debian -type f -print0 | xargs -0r sed -i -e "s#../src/##g"

override_dh_installchangelogs:
	dh_installchangelogs doc/RELEASE_NOTES-$(UPSTREAM_VERSION).txt

override_dh_auto_test:
	cd src && ./shunit2_test.sh

override_dh_clean:
	rm -f debian/shunit2.1 debian/shunit2.1.xml
	rm -rf examples.debian
	dh_clean

=== debian/watch ===
version=3
http://googlecode.debian.net/p/shunit2/shunit2-([\d\.]*)\.tgz

## shunit2 2.1.8

=== debian/changelog ===
shunit2 (2.1.8-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints, Add Multi-Arch: foreign. (Closes: #1057034)

  [ William Desportes ]
  * Mark the simple test as "Restrictions: superficial" (DEP-8).
  * Add "<!nocheck>" for Build-Depends-Indep
  * Add a patch to update example paths
  * Add more superficial tests using examples
  * Add DEP-8 test names to all tests
  * Add examples/* to d/docs
  * Add patches for upstream issues #37 and #129
  * Update Standards-Version to 4.6.2

 -- William Desportes <williamdes@wdes.fr>  Wed, 06 Dec 2023 20:34:49 +0100

shunit2 (2.1.8-3) unstable; urgency=medium

  * Add a superficial DEP-8 autopkgtest that depends on nothing.
  * Add a patch to fix issue with tput.

 -- William Desportes <williamdes@wdes.fr>  Mon, 28 Nov 2022 19:08:00 +0100

shunit2 (2.1.8-2) unstable; urgency=medium

  * Upload to unstable. \o/
  * Add autopkgtests.
  * Document all needed shells.

 -- William Desportes <williamdes@wdes.fr>  Thu, 24 Nov 2022 11:31:41 +0200

shunit2 (2.1.8-1) experimental; urgency=medium

  [ William Desportes ]
  * New upstream version 2.1.8 (Closes: #1006185)
  * Add a GitLab Salsa Debian CI file
  * Adopt this package
  * Set debian branch to debian/latest (DEP-14)
  * Set debhelper-compat to 13
  * Improve Vcs-* links
  * Fix d/watch (Closes: #887842)
  * Improve and fix d/copyright format
  * Apply "wrap-and-sort"
  * Bump Standards-Version to 4.6.1
  * Add a patch for dash tests to handle negative line numbers
  * Add a patch to skip test for issue 84
  * Add "Rules-Requires-Root: no" on d/control
  * Update version and date of d/shunit2.1
  * Update d/copyright

  [ G. Branden Robinson ]
  * debian/control: Note movement of upstream to a new site (Google Code
    to GitHub).
  * debian/shunit2.man: Rewrite in groff.
    + debian/shunit2.1.txt: Delete.
    + debian/control: Drop build dependencies on asciidoc, docbook-xsl,
      and xsltproc.
    + debian/rules: Remove generation and cleanup of man page.
    + debian/shunit2.manpages: Update file reference.
  * debian/control: Make style fixes to description.
    + Use hyphens in adjectival phrases.
    + Wrap at 80 columns.
    + Use monospaced-font-friendly inter-sentence spacing.
    + Recast sentence to not end in "etc." and also add information.

  [ Osamu Aoki ]
  * Packaged new upstream 2.1.8pre pre-release with completely
    refreshed packaging structure to cope with the recent upstream
    file organization and consideration to the backward
    compatibility and RPM compatibility. (Closes: #887842)
  * Updated license to match upstream: LGPL2.1+ -> Apache 2.0
  * debian/control: Bump Standards-Version to 4.4.1 and
    wrap-and-sort
  * debian/rules: Clean-up and test against dash, bash, ksh, mksh,
    and zsh.  shunit2_misc_test.sh is only tested for bash.
  * Manpage updated based on Branden's groff version with
    additional content by me.  Since the main contents are
    apparently copied from upstream documentation, this is also
    changed to Apache 2.0 License. (Closes: #861618)
  * Set up salsa.debian.org repository (dgit-maint-merge approach)

 -- William Desportes <williamdes@wdes.fr>  Fri, 12 Aug 2022 11:19:10 +0200

=== debian/control ===
Source: shunit2
Maintainer: William Desportes <williamdes@wdes.fr>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: dash <!nocheck>,
                     ksh <!nocheck>,
                     mksh <!nocheck>,
                     zsh <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/shunit2
Vcs-Git: https://salsa.debian.org/debian/shunit2.git -b debian/latest
Homepage: https://github.com/kward/shunit2
Rules-Requires-Root: no

Package: shunit2
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: unit test framework for Bourne based shell scripts
 shUnit2 was originally developed to provide a consistent testing
 solution for log4sh, a shell based logging framework similar to
 log4j. It is designed to work in a similar manner to JUnit, PyUnit,
 etc.

=== debian/tests/control ===
Tests: run-tests
Depends: dash, ksh, mksh, zsh, @

Tests: simple-script-tests
Depends: @
Restrictions: superficial

Test-Command: examples/equality_test.sh
Features: test-name=equality_test
Depends: @
Restrictions: superficial

Test-Command: examples/lineno_test.sh || if [ $? -eq 1 ]; then exit 0; else exit 1; fi
Features: test-name=lineno_test
Depends: @
Restrictions: superficial, allow-stderr

Test-Command: examples/math_test.sh
Features: test-name=math_test
Depends: @
Restrictions: superficial

Test-Command: examples/mkdir_test.sh
Features: test-name=mkdir_test
Depends: @
Restrictions: superficial

Test-Command: examples/mock_file_test.sh
Features: test-name=mock_file_test
Depends: @
Restrictions: superficial

Test-Command: examples/party_test.sh || if [ $? -eq 1 ]; then exit 0; else exit 1; fi
Features: test-name=party_test
Depends: @
Restrictions: superficial, allow-stderr

Test-Command: examples/suite_test.sh
Features: test-name=suite_test
Depends: @
Restrictions: superficial

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s/.+\/v(\d\S+)\.tar\.gz/shunit2-v$1\.tar\.gz/" \
  https://github.com/kward/shunit2/tags .*/v(\d\S+)\.tar\.gz
